%define name krusader
%define version 1.70.0
%define release 1.2006mcnl

Summary: 	Advanced twin-panel file-manager for KDE 3.x
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.gz
License: 	GPL
Group: 		File tools
Vendor:		MandrivaClub.NL
Packager:	Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl>
BuildRoot: 	%{_tmppath}/%{name}-buildroot
URL: 		http://krusader.sourceforge.net
Requires: 	kdelibs >= 3.3

BuildRequires:  kdelibs-devel >= 3.3
BuildRequires:  acl-devel

Obsoletes:	kde3-krusader
Provides:	kde3-krusader

%description
Krusader is an advanced twin-panel (commander-style) file-manager for KDE 3.x
(similar to Midnight or Total Commander) but with many extras.
It provides all the file-management features you could possibly want.
Plus: extensive archive handling, mounted filesystem support, FTP,
advanced search module,
viewer/editor, directory synchronisation, file content comparisons,
powerful batch renaming and
much much more.
It supports the following archive formats: tar, zip, bzip2, gzip, rar,
ace, arj and rpm
and can handle other KIOSlaves such as smb:// or fish://
It is (almost) completely customizable, very user friendly,
fast and looks great on your desktop! :-)
You should give it a try. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}


%build

%configure --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.png" section="Applications/File tools" \
title="Krusader" longtitle="%{summary}"
EOF

#icons for rpmlint
%define  nameicon krusader/cr64-app-krusader_user.png

mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

rm -rf $RPM_BUILD_ROOT/%_datadir/mimelnk/application/*.desktop


%find_lang krusader

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f krusader.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog TODO COPYING krusader.lsm
%doc %{_datadir}/doc/HTML/en/*
%_bindir/*
%_datadir/applnk/krusader*.desktop

%_datadir/apps/krusader/*.color
%_datadir/apps/krusader/*.keymap*
%_datadir/apps/krusader/*.xml

%dir %_datadir/apps/krusader/
%_datadir/apps/krusader/*.rc
%_datadir/apps/krusader/*.png
#%_datadir/apps/krusader/*.jpg




%_datadir/services/*

%_menudir/*


%_datadir/apps/konqueror/servicemenus/isoservice.desktop
%_datadir/config/kio_isorc

#%_datadir/mimelnk/application/*.desktop 

%_datadir/apps/krusader/icons/crystalsvg/16x16/actions/*.png
%_datadir/apps/krusader/icons/crystalsvg/22x22/actions/*.png
%_datadir/apps/krusader/icons/crystalsvg/32x32/actions/*.png
%_datadir/apps/krusader/icons/crystalsvg/*x*/apps/*.xpm
%_iconsdir/crystalsvg/*x*/apps/*.png

%_iconsdir/locolor/16x16/apps/krusader.png
%_iconsdir/locolor/32x32/apps/krusader.png
%_iconsdir/locolor/32x32/apps/krusader2.png

%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%_libdir/kde3/*

%_mandir/man1/*


%changelog
* Tue Feb 28 2006 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 1.70.0-1.2006mcnl
- 1.70.0
